Skip to main content
`Ctrl`+`K`
scipy.fftpack.

# shift

scipy.fftpack.shift(x, a, period=None, _cache=<_thread._local object>)

  Shift periodic sequence x by a: y(u) = x(u+a).

  If x_j and y_j are Fourier coefficients of periodic functions x and y, respectively, then:

      y_j = exp(j*a*2*pi/period*sqrt(-1)) * x_f

  Parameters:
    x array_like

      The array to take the pseudo-derivative from.

    a float

      Defines the parameters of the sinh/sinh pseudo-differential

    period float, optional

      The period of the sequences x and y. Default period is `2*pi`.